
Redmine - Defect #9219

Plugin Conflicts

2011-09-09 20:25 - Evan Davey

Status: Closed Start date: 2011-09-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Plugins should include their name in the prefix of database tables to avoid conflicts.  This is a regular problem when installing

multiple plugins as often they use the same table names e.g.: tags.  The db:migrate_plugins script doesn't seem to handle this well

and things get messy and out of sync.

History

#1 - 2011-09-16 09:30 - vikas singh

- Assignee set to Azamat Hackimov

-

#2 - 2011-09-16 09:35 - Etienne Massip

- Assignee deleted (Azamat Hackimov)

#3 - 2017-09-24 03:52 - Go MAEDA

- Category changed from Core Plugins to Plugin API

#4 - 2024-09-23 17:52 - Holger Just

- Status changed from New to Closed

- Resolution set to Wont fix

Plugins are free top change about everything including adding arbitrary tables. While it';s certainly a good idea for plugins to prefix code modules,

table names and columns with a unique prefix, this can not be comprehensively enforced.

If plugins are using the same (conflicting) names, these plugins need to be updated. But again: this is not something we could enforce as it would

significantly restrict the flexibility of plugins.
